"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = (0, tslib_1.__importDefault)(require("classnames"));
const Items_components_1 = require("./Items.components");
function Items(props) {
    const { items, renderItem, onItemRemove, containerClassName, itemClassName } = props;
    return ((0, jsx_runtime_1.jsx)(Items_components_1.ItemsContainer, Object.assign({ bsSize: "sm", className: (0, classnames_1.default)("eui-items", containerClassName) }, { children: (0, jsx_runtime_1.jsx)("ul", Object.assign({ className: "eui-items__list" }, { children: items.map((item, index) => ((0, jsx_runtime_1.jsxs)("li", Object.assign({ className: (0, classnames_1.default)("eui-items__list__item", itemClassName) }, { children: [(0, jsx_runtime_1.jsx)("button", Object.assign({ type: "button", className: "eui-items__list__item__remove", onClick: () => onItemRemove(item) }, { children: "\u00D7" }), void 0), (0, jsx_runtime_1.jsx)("span", { children: renderItem(item) }, void 0)] }), index))) }), void 0) }), void 0));
}
exports.default = Items;
