import * as React from "react";
export interface RichTextProps {
    id?: string;
    value?: string;
    config?: any;
    events?: {
        [eventName: string]: (e: any) => any;
    };
    scriptUrl?: string;
    className?: string;
    throttle?: number;
}
declare global {
    interface Window {
        CKEDITOR: any;
    }
}
export default class RichText extends React.PureComponent<RichTextProps> {
    private mounted;
    static defaultProps: {
        id: string;
        config: {};
        events: {};
        scriptUrl: string;
        throttle: number;
    };
    static editorInstances: {};
    componentDidUpdate(prevProps: RichTextProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onChange: () => void;
    onLoad: () => void;
    prependContentWithLines(): void;
    render(): JSX.Element;
}
