"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nls = void 0;
exports.nls = {
    en: {
        moment_g: "dd/MM/yyyy HH:mm",
        invalidDate: "Invalid date",
        longDateFormat_L: "dd/MM/yyyy",
        longDateFormat_LL: "MMMM Do yyyy",
        longDateFormat_LLL: "MMMM Do yyyy LT",
        longDateFormat_LLLL: "dddd, MMMM Do yyyy LT",
        longDateFormat_LT: "HH:mm",
        longDateFormat_LTS: "HH:mm:ss",
        date: "dd/MM/yyyy",
        time: "HH:mm:ss",
        datetime: "dd/MM/yyyy HH:mm",
        fullHour: "dd/MM/yyyy HH:00P",
        todayLbl: "Today",
    },
    nb: {
        moment_g: "dd.MM.yyyy HH:mm",
        invalidDate: "Ugyldig dato",
        longDateFormat_L: "dd.MM.yyyy",
        longDateFormat_LL: "D. MMMM yyyy",
        longDateFormat_LLL: "D. MMMM yyyy [kl.] LT",
        longDateFormat_LLLL: "dddd D. MMMM yyyy [kl.] LT",
        longDateFormat_LT: "HH:mm",
        longDateFormat_LTS: "h:mm:ss",
        date: "dd.MM.yyyy",
        time: "HH:mm:ss",
        datetime: "dd.MM.yyyy HH:mm",
        fullHour: "dd.MM.yyyy HH:00P",
        todayLbl: "I dag",
    },
    nn: {
        moment_g: "dd.MM.yyyy HH:mm",
        invalidDate: "Ugyldig dato",
        longDateFormat_L: "dd.MM.yyyy",
        longDateFormat_LL: "D. MMMM yyyy",
        longDateFormat_LLL: "D. MMMM yyyy [kl.] LT",
        longDateFormat_LLLL: "dddd D. MMMM yyyy [kl.] LT",
        longDateFormat_LT: "HH:mm",
        longDateFormat_LTS: "h:mm:ss",
        date: "dd.MM.yyyy",
        time: "HH:mm:ss",
        datetime: "dd.MM.yyyy HH:mm",
        fullHour: "dd.MM.yyyy HH:00P",
        todayLbl: "I dag",
    },
    sv: {
        moment_g: "yyyy-MM-dd HH:mm",
        invalidDate: "Ugyldig datum",
        longDateFormat_L: "yyyy-MM-dd",
        longDateFormat_LL: "D MMMM yyyy",
        longDateFormat_LLL: "D MMMM yyyy LT",
        longDateFormat_LLLL: "dddd D MMMM yyyy LT",
        longDateFormat_LT: "HH:mm",
        longDateFormat_LTS: "HH:mm:ss",
        date: "yyyy-MM-dd",
        time: "HH:mm:ss",
        datetime: "yyyy-MM-dd HH:mm",
        fullHour: "yyyy-MM-dd HH:00P",
        todayLbl: "I dag",
    },
};
