import * as React from "react";
import { KeyMap } from "react-hotkeys";
export declare const keyMap: KeyMap;
export declare const handlers: (listRef: React.RefObject<HTMLElement>, { pageSize }: {
    pageSize?: number | undefined;
}) => {
    left: (e?: KeyboardEvent | undefined) => void;
    right: (e?: KeyboardEvent | undefined) => void;
    up: (e?: KeyboardEvent | undefined) => void;
    down: (e?: KeyboardEvent | undefined) => void;
    pageDown: (e?: KeyboardEvent | undefined) => void;
    pageUp: (e?: KeyboardEvent | undefined) => void;
    top: (e?: KeyboardEvent | undefined) => void;
    bottom: (e?: KeyboardEvent | undefined) => void;
};
