import * as React from "react";
export interface ItemsProps<TItem> {
    containerClassName?: string;
    itemClassName?: string;
    renderItem: (item: TItem) => React.ReactNode;
    items: TItem[];
    onItemRemove: (item: TItem) => any;
}
export default function Items<T>(props: ItemsProps<T>): JSX.Element;
