import * as React from "react";
export interface LookupDialogProps {
    close: (event: any) => any;
    position: {
        x: number;
        y: number;
    };
    isDraggable?: boolean;
    ariaLabelledBy?: string;
    dragHandle?: string;
    portalTarget?: string;
    className?: string;
    [key: string]: any;
}
export default class LookupDialog extends React.Component<LookupDialogProps> {
    static defaultProps: {
        dragHandle: string;
        className: string;
    };
    draggableContainer: HTMLElement | null;
    containerRef: React.RefObject<HTMLDivElement>;
    componentDidMount(): void;
    handleClickOutside: (event: any) => void;
    focusFirstInput: () => void;
    onKeyDown: (e: any) => void;
    render(): JSX.Element;
}
