import * as React from "react";
declare const spinnerMap: {
    fade: React.LazyExoticComponent<typeof import("react-spinners/FadeLoader").default>;
    clip: React.LazyExoticComponent<typeof import("react-spinners/ClipLoader").default>;
    bar: React.LazyExoticComponent<typeof import("react-spinners/BarLoader").default>;
    sync: React.LazyExoticComponent<typeof import("react-spinners/SyncLoader").default>;
    pulse: React.LazyExoticComponent<typeof import("react-spinners/PulseLoader").default>;
    bounce: React.LazyExoticComponent<typeof import("react-spinners/BounceLoader").default>;
};
export interface SpinnerProps {
    id?: string;
    size?: number | string;
    loading?: boolean;
    label?: string;
    color?: string;
    type?: keyof typeof spinnerMap;
}
declare const Spinner: React.FunctionComponent<SpinnerProps>;
export default Spinner;
